@import "../../_mixins.scss";

.report {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;

  .horizontal-tabs-container .horizontal-tabs .tab-link {
    padding: 10px 35px;
    font-weight: 600;
  }

  .report__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;

    .report__header-link {
      padding: 10px;
      width: 225px;
      text-align: center;
    }
    .report__header-link--active {
      border-bottom: 2px solid var(--primary);
    }
  }

  .finance-report-container {
    display: flex;
    gap: 10px;
    flex-direction: column;
    position: relative;
    .finance-report-loader {
      position: absolute;
      z-index: 1;
    }
    .finance-report-filters {
      display: flex;
      flex-direction: column;
      .finance-report-row {
        display: flex;
      }
      .date-filter-container {
        display: flex;
        align-items: center;
        gap: 15px;
        .date-range-box {
          .date-value {
            font-size: var(--font-m);
            font-weight: 500;
            line-height: 1;
          }
          .DateRangePicker {
            border: 1px solid lightgray;
          }
        }
      }
    }
    .download-finance-report {
      width: fit-content;
      margin: 10px 0 30px 20px;
    }
  }

  .fire-no-settings {
    margin: 50px auto;
    font-weight: 500;
    color: red;
    font-size: var(--font-l);
  }

  .fire-report-container {
    display: flex;
    flex-direction: column;
    position: relative;
    .fire-report-loader {
      position: absolute;
      z-index: 1;
      top: 100px;
    }
    .fire-report-filters {
      display: flex;
      flex-direction: column;
      .fire-report-row {
        display: flex;
        align-items: center;
        gap: 15px;
        .field-section.disabled {
          margin-bottom: 17px;
        }
        .checkbox-holder {
          margin-top: 8px;
          label.checkbox__content {
            margin: 6px 0 0 7px;
          }
        }
        .date-range-box {
          margin: 10px 20px;
          .date-value {
            font-size: var(--font-m);
            font-weight: 500;
            line-height: 1;
          }
          .DateRangePicker {
            border: 1px solid lightgray;
          }
        }
      }
    }
    .fire-report-error {
      color: red;
      font-size: var(--font-s);
      font-weight: 600;
      margin-left: 20px;
    }
    .download-fire-report {
      width: fit-content;
      margin: 40px 0 30px 20px;
    }
    .download-report-bundle {
      width: fit-content;
      margin: 15px 0 30px 20px;
    }
  }

  .inventory {
    height: 100%;

    .label-customers-checkbox {
      padding: 29px 0 0 0;
    }

    .all-customers-checkbox {
      padding: 0 0 0px 0px;
      margin-top: -6px;
    }
  }

  .customer-analysis-report {
    display: grid;
    grid-template-columns: 1fr 1fr;
    height: auto;
    padding: 30px;
    max-width: 1000px;
    .customer-report {
      padding: 10px 30px 10px 0px;
    }
    .download-report {
      width: 200px;
      height: var(--input-height);
      margin: auto 0 10px 0;
      padding: 0;
    }

    .date-value {
      padding: 10px;
      border: 1px solid #ccc;
      width: -webkit-fill-available;
      height: 41px;
      cursor: not-allowed;
    }
  }
  .filter__header {
    padding: 10px 0 0 20px;
    font-weight: 700;
  }
  .filter__body {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    height: auto;
    padding-bottom: 50px;

    .field-section-button {
      padding: 30px 0 0 0;
      button {
        min-width: 85px;
        margin-left: 20px;
      }
    }
  }

  .filter-provider-report__body {
    display: grid;
    grid-template-columns: 1fr 1fr;
    height: auto;
    padding-bottom: 30px;
    max-width: 1000px;
    .field-section {
      height: auto;
    }

    .field-section-button {
      padding: 30px 0 0 0;
      button {
        min-width: 85px;
        margin-left: 20px;
      }
    }
    .Select {
      height: auto;
      .Select-control .Select-input input {
        color: #333;
      }
    }
  }

  .Select .Select-control .Select-multi-value-wrapper .Select-value {
    line-height: 20px;
  }

  .Select.has-value.Select--single
    > .Select-control
    .Select-value
    .Select-value-label,
  .Select.has-value.is-pseudo-focused.Select--single
    > .Select-control
    .Select-value
    .Select-value-label {
    line-height: var(--input-height);
  }
}

.data-anomaly {
  display: flex;
  flex-direction: row;
  width: 50%;
  padding: 25px;

  h5 {
    margin-top: 20px;
  }

  .btn.square-btn.btn-primary {
    margin: 10px;
  }
}
.anomaly-report-message-success {
  padding: 0 0 25px 25px;
  color: var(--success);
}

.anomaly-report-message-error {
  padding: 0 0 25px 25px;
  color: var(--danger);
}

.report-mandatory {
  .field__label-required::after {
    content: "*";
    color: #f00;
    margin-left: 3px;
    font-size: var(--font-xs);
    position: inherit;
  }
  .select-manufacturer-error {
    color: #f00;
  }
  .error-input {
    border: 1px solid #f00;
    padding-bottom: 2px;
  }
  // .Select .Select-control .Select-multi-value-wrapper .Select-value{
  //   line-height: var(--input-height);
  // }
}

.pre-build-report {
  .no-device-error {
    padding: 10px;
    text-align: center;
    border: 1px solid;
    color: var(--primary);
    font-weight: 800;
    border-color: var(--primary);
  }

  label.box-label {
    font-weight: 700;
  }

  .filter__body {
    display: unset;
    .field-section {
      padding: 10px 20px;
      max-width: 450px;
    }
  }

  .report-row {
    cursor: pointer;
    font-weight: 500;
    display: flex;
    justify-content: space-between;

    .icon {
      background: url(/assets/icons/download.png) scroll no-repeat right 10px
        center !important;
      width: 40px;
      height: 27px;
      filter: invert(0);
    }
    &:hover,
    &:active,
    &:focus {
      font-weight: 800;
      .icon {
        filter: invert(1);
      }
    }
  }
}
.pre-build-report {
  .Select-placeholder,
  .Select--single > .Select-control .Select-value {
    line-height: var(--input-height) !important  ;
  }
}

.customer-circuit-report__body {
  display: flex;
  max-width: 600px;

  .types {
    width: 400px;
    padding: 20px;
  }
  .download-report {
    height: var(--input-height);
    margin: 40px 0px;
  }
}

.provider-circuit-report__body {
  display: flex;
  max-width: 800px;

  .customers {
    width: 400px;
    padding: 20px;
  }
  .types {
    width: 400px;
    padding: 20px;
  }
  .download-report {
    height: var(--input-height);
    margin: 40px 0px;
  }
}

.scheduled-report-list {
  padding-bottom: 1px;
  .scheduled-report {
    border: 1px solid #cccccc3b;
    margin: 10px 10px;
    .name {
      max-width: 500px;
      padding: 30px;
    }
  }
}

.no-device-error {
  padding: 10px;
  text-align: center;
  border: 1px solid;
  color: var(--primary);
  font-weight: 800;
  border-color: var(--primary);
  max-width: 900px;
  margin: 10px 25px;
}

.all-customer {
  .field__input.row {
    max-height: 300px;
    overflow: auto;
  }
}
